<!-- ********************************************************************************
 * Copyright (c) 2015, 2023 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ******************************************************************************** -->

<div class="extsystem-comp">
  <div *ngIf="selectedEnvironment && extSystems">
    <div class="commands">
      <p-button
        *ngIf="editorMode"
        icon="pi pi-backward"
        (onClick)="onPageBack()"
        [label]="'administration.extsystem.btn-back' | translate"
      ></p-button>
    </div>

    <mdm-extsystem-editor
      *ngIf="editorMode"
      [selectedEnvironment]="selectedEnvironment"
      [extSystems]="extSystems"
      (editMode)="onEditModeChange($event)"
      [selectedES]="selectedExtSystem"
    ></mdm-extsystem-editor>
    <mdm-extsystem-viewer
      *ngIf="!editorMode"
      [selectedEnvironment]="selectedEnvironment"
      [extSystems]="extSystems"
      (editMode)="onEditModeChange($event)"
      (selectedES)="onChangeSelectedExtSystem($event)"
    ></mdm-extsystem-viewer>
  </div>
</div>
